## Index

### Enumerations

- Size
- Style

### Classes

- ButtonImpl

### Interfaces

- ButtonOwnProps

### Type aliases

- ButtonProps

### Variables

- Button

### Functions

- isRenderingIcon
- styles

## Type aliases

### ButtonProps

ButtonProps: ButtonOwnProps & HTMLProps<HTMLButtonElement>

- Defined in components/Button/index.tsx:22

## Variables

### Const Button

Button: ButtonImpl = injectSheet(styles)(ButtonImpl) as typeof ButtonImpl

- Defined in components/Button/index.tsx:178

## Functions

### Const isRenderingIcon

- isRenderingIcon(props: ButtonProps): boolean

- - Defined in components/Button/index.tsx:169

  #### Parameters

  - ##### props: ButtonProps

  #### Returns boolean

### Const styles

- styles(theme: ThemeTypes): object

- - Defined in components/Button/index.tsx:24

  #### Parameters

  - ##### theme: ThemeTypes

  #### Returns object

Generated using TypeDoc